using Pilz.Data;

namespace Pilz.Net.Api.Client;

public interface IBaseClient<T> where T : IDataObject
{
    Task Delete(int id);
    Task<T> Get(int id);
    Task<IEnumerable<T>> GetAll();
    Task<IEnumerable<T>> GetAll(int offset, int amount);
    Task<T> Save(T item);
}
